org.apache.fop.afp

## Class AFPResourceLevelDefaults

- java.lang.Object
- - org.apache.fop.afp.AFPResourceLevelDefaults

-     public class AFPResourceLevelDefaults
      extends Object

  This class holds resource levels defaults for the various resource types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPResourceLevelDefaults()` Creates a new instance with default values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AFPResourceLevel` | `getDefaultResourceLevel(byte type)` Returns the default resource level for a particular resource type.
    `void` | `mergeFrom(AFPResourceLevelDefaults other)` Allows to merge the values from one instance into another.
    `void` | `setDefaultResourceLevel(byte type, AFPResourceLevel level)` Sets the default resource level for a particular resource type.
    `void` | `setDefaultResourceLevel(String type, AFPResourceLevel level)` Sets the default resource level for a particular resource type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_SVG

          public static final byte TYPE_SVG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AFPResourceLevelDefaults

          public AFPResourceLevelDefaults()

      Creates a new instance with default values.

  - ### Method Detail

    - #### setDefaultResourceLevel

          public void setDefaultResourceLevel(String type,
                                              AFPResourceLevel level)

      Sets the default resource level for a particular resource type.
      Parameters:
        `type` - the resource type name
        `level` - the resource level

    - #### setDefaultResourceLevel

          public void setDefaultResourceLevel(byte type,
                                              AFPResourceLevel level)

      Sets the default resource level for a particular resource type.
      Parameters:
        `type` - the resource type (`ResourceObject`.TYPE_*)
        `level` - the resource level

    - #### getDefaultResourceLevel

          public AFPResourceLevel getDefaultResourceLevel(byte type)

      Returns the default resource level for a particular resource type.
      Parameters:
        `type` - the resource type (`ResourceObject`.TYPE_*)
      Returns:
        the default resource level

    - #### mergeFrom

          public void mergeFrom(AFPResourceLevelDefaults other)

      Allows to merge the values from one instance into another. Values from the instance passed in as a parameter override values of this instance.
      Parameters:
        `other` - the other instance to get the defaults from

Copyright © 2025 Apache Software Foundation. All rights reserved.